const request = require('supertest');

var app = {};

describe('GET /items/:id', function () {
  it('returns all items', function (done) {
    // newer mocha versions accepts promises as well
    return request(app)
      .get('/items')
      .set('Accept', 'application/json')
      .expect(200, {
        id: '1',
        name: 'John Math'
      }, done);
  });
});
